Summary:	Curses client for Music Player Daemon
Summary(pl.UTF-8):	Klient curses dla demona MPD
Name:		ncmpc
Version:	0.42
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://www.musicpd.org/download/ncmpc/0/%{name}-%{version}.tar.xz
# Source0-md5:	1e09882e89edf2e8e69f2fd1c3c312b1
URL:		http://mpd.wikia.com/wiki/Client:Ncmpc
BuildRequires:	boost-devel >= 1.62
BuildRequires:	gcc-c++ >= 6:5
BuildRequires:	gettext-tools
BuildRequires:	libmpdclient-devel >= 2.9
BuildRequires:	meson >= 0.47
BuildRequires:	ncurses-devel
BuildRequires:	ninja
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.727
BuildRequires:	sphinx-pdg
Requires:	libmpdclient >= 2.9
Suggests:	mpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc
connects to a MPD running on a machine on the local network, and
controls this with an interface inspired by cplay. If ncmpc is used
with lirc and irpty it can be used to manage playlists and control MPD
with a remote control.

%description -l pl.UTF-8
ncmpc to klient curses dla demona MPD (Music Player Daemon). ncmpc
łączy się z MPD działającym na maszynie w sieci lokalnej i steruje nim
przy użyciu interfejsu zainspirowanego programem cplay. Jeśli ncmpc
jest używany z lircem lub irpty, można go używać do zarządzania
playlistami i sterowania MPD za pomocą pilota.

%prep
%setup -q
	
%build
%meson build \
	-Dchat_screen=true \
	-Dcolors=true \
	-Ddocumentation=enabled \
	-Dhelp_screen=true \
	-Dkey_screen=true \
	-Dlocale=enabled \
	-Dlyrics_screen=true \
	-Dmanual=true \
	-Dmouse=enabled \
	-Doutputs_screen=true \
	-Dsearch_screen=true \
	-Dsong_screen=true \
	-Dlirc=disabled

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -j1 -C build

rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang ncmpc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ncmpc.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.rst doc/*.sample doc/ncmpc.lirc
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ncmpc
%dir %{_libdir}/ncmpc/lyrics
%attr(755,root,root) %{_libdir}/ncmpc/lyrics/*
%{_mandir}/man1/ncmpc.*
%changelog
* Thu Oct 29 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ncmpc.git;a=log;h=master

* Thu Oct 29 2020 Jan Palus <atler@pld-linux.org> 6119ebb
- up to 0.42

* Fri Oct 16 2020 Jan Palus <atler@pld-linux.org> 258719a
- up to 0.41

* Thu Oct 08 2020 Jan Palus <atler@pld-linux.org> 4b3acae
- up to 0.40

* Fri Aug 21 2020 Jan Palus <atler@pld-linux.org> b4e9e94
- up to 0.39

* Fri May 01 2020 Jan Palus <atler@pld-linux.org> a3409f4
- up to 0.38

* Fri Jan 24 2020 Jan Palus <atler@pld-linux.org> 0d03fc0
- up to 0.37

* Tue Nov 05 2019 Jan Palus <atler@pld-linux.org> c54ed29
- up to 0.36

* Sun Sep 15 2019 Jan Palus <atler@pld-linux.org> 478a727
- up to 0.35

* Fri Apr 19 2019 Jan Palus <atler@pld-linux.org> 5b759f8
- up to 0.34

* Mon Oct 22 2018 Jan Palus <atler@pld-linux.org> 2e627c6
- up to 0.33

* Sun Oct 07 2018 Jan Palus <atler@pld-linux.org> 74410fe
- up to 0.32

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> b919dc1
- rel 2

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> 6ed7662
- try non-parallel build

* Wed Sep 19 2018 Jan Palus <atler@pld-linux.org> aa48b90
- up to 0.31

* Wed Apr 04 2018 Jan Palus <atler@pld-linux.org> 5258754
- up to 0.30

* Mon Nov 06 2017 Jan Palus <atler@pld-linux.org> d100100
- up to 0.29

* Thu Sep 21 2017 Jan Palus <atler@pld-linux.org> 759661f
- up to 0.28

* Mon Apr 10 2017 Jan Palus <atler@pld-linux.org> 486bea3
- up to 0.27

* Mon Mar 20 2017 Jan Palus <atler@pld-linux.org> a0665cc
- up to 0.26

* Sun Aug 21 2016 Jan Palus <atler@pld-linux.org> 579cc71
- up to 0.25

